Page MenuHomePhabricator

Uncaught TypeError: Cannot read property 'getScrollTop' of null
Closed, ResolvedPublic

Description

About 35 errors a day on MediaWiki.org

https://logstash.wikimedia.org/app/kibana#/dashboard/Reading-Web?_g=h@a7847a0&_a=h@1c3fa11

Stack trace:

at Editor.onScrollTopChange  https://www.mediawiki.org/w/load.php?lang=en-gb&modules=ext.codeEditor.ace&skin=vector&version=rk817:309:330
at EditSession.EventEmitter._signal  https://www.mediawiki.org/w/load.php?lang=en-gb&modules=ext.codeEditor.ace&skin=vector&version=rk817:92:76
at EditSession.setScrollTop  https://www.mediawiki.org/w/load.php?lang=en-gb&modules=ext.codeEditor.ace&skin=vector&version=rk817:234:308
at VirtualRenderer.scrollBy  https://www.mediawiki.org/w/load.php?lang=en-gb&modules=ext.codeEditor.ace&skin=vector&version=rk817:919:788
at MouseHandler.onMouseWheel  https://www.mediawiki.org/w/load.php?lang=en-gb&modules=ext.codeEditor.ace&skin=vector&version=rk817:66:501
at Editor.EventEmitter._emit.EventEmitter._dispatchEvent  https://www.mediawiki.org/w/load.php?lang=en-gb&modules=ext.codeEditor.ace&skin=vector&version=rk817:91:855
at MouseHandler.onMouseWheel  https://www.mediawiki.org/w/load.php?lang=en-gb&modules=ext.codeEditor.ace&skin=vector&version=rk817:104:411
at HTMLDivElement.<anonymous>  https://www.mediawiki.org/w/load.php?lang=en-gb&modules=ext.codeEditor.ace&skin=vector&version=rk817:32:853

URL: https://www.mediawiki.org/wiki/MediaWiki_API_integration_tests?veaction=edit

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 16 2020, 9:42 PM
matmarex added a subscriber: matmarex.

I can see this and other similar errors when editing the code blocks on that page, but it doesn't happen every time (and also doesn't cause any obvious user-visible issues).

Also the error is coming from deep within Ace, so there may not be a lot we can do.

DLynch added a subscriber: DLynch.Jul 30 2020, 4:22 PM

Also the error is coming from deep within Ace, so there may not be a lot we can do.

We could speculatively update Ace? CodeEditor is on 1.4.9 and the latest version is 1.4.12.

Updating from 1.2.9 in April was the first time we'd updated Ace in years, but presumably a more minor version bump wouldn't be tricky.

Done in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CodeEditor/+/619740, but haven't tagged against this patch as it's just a guess that it will help.

Jdlrobson closed this task as Resolved.Aug 19 2020, 8:15 PM
Jdlrobson claimed this task.

No errors in the last 7 days,

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 19 2020, 8:15 PM